import type { ActionReturn } from "svelte/action";
import { default as doTextFit, type TextFitOption } from "textfit";

export function fitText(
	el: HTMLElement,
	opts: TextFitOption = {}
): ActionReturn<TextFitOption> {
	doTextFit(el, opts);

	return {
		update(opts) {
			doTextFit(el, opts);
		},
		destroy() {},
	};
}
